// Written by Dr. YIP Chi Lap [Beta]
//   for Ultraviolet Radiation Measurement and Application Design Competition



void setup() {
  Serial.begin(9600);
  pinMode(A0,INPUT);
  analogReference(DEFAULT);
}



void loop() {
  float sensorVoltage = analogRead(A0)*5.0/1024;
  int uvIndex = 0;
  // Thresholds are from data sheet of UV module
  if (sensorVoltage <= 0.050) {
    uvIndex = 0;
  } else if (sensorVoltage <= 0.227) {
    uvIndex = 1;
  } else if (sensorVoltage <= 0.318) {
    uvIndex = 2;
  } else if (sensorVoltage <= 0.408) {
    uvIndex = 3;
  } else if (sensorVoltage <= 0.503) {
    uvIndex = 4;
  } else if (sensorVoltage <= 0.606) {
    uvIndex = 5;
  } else if (sensorVoltage <= 0.696) {
    uvIndex = 6;
  } else if (sensorVoltage <= 0.795) {
    uvIndex = 7;
  } else if (sensorVoltage <= 0.881) {
    uvIndex = 8;
  } else if (sensorVoltage <= 0.976) {
    uvIndex = 9;
  } else if (sensorVoltage <= 1.079) {
    uvIndex = 10;
  } else {
    uvIndex = 11;
  }
  Serial.print(uvIndex);
  Serial.print(" ");
  Serial.println(sensorVoltage);
}
