#!/usr/bin/python

import matplotlib.pyplot as plt

hours = [8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18]
data15 = [0.2, 1, 2, 4, 4, 4, 3, 2, 0.8, 0.1, 0]
data60 = [0.1, 0.7, 2, 3, 4, 4, 4, 3, 1, 0.4, 0]

plt.plot(hours, data15, "-o", hours, data60, "--")
# plt.axis([8,18,0,4.5])
plt.axis(ymin=0, ymax=4.5)
plt.xlabel('Hour (HKT)')
plt.ylabel('UV index')
plt.title('UV index on 2017-12-06')
plt.show()
